#!/usr/bin/make -f
#
# $Id: Makefile,v 1.1 2004-10-21 08:53:22 cartho Exp $
#

.PHONY: all

# --- programs
#/tmp/graphviz-1.8.5/dotneato/dot
FIG=fig2dev
EPS2PDF=epstopdf

EPS=coord.eps analysis.eps jpax.eps lock-views.eps lock.eps lockset.eps lock-views2.eps arrow.eps atomic-block.eps safe.eps atom.eps static-analysis.eps observer.eps non-atomic.eps jpax.eps jpax2.eps
PDF=coord.pdf analysis.pdf jpax.pdf lock-views.pdf lock.pdf lockset.pdf lock-views2.pdf arrow.pdf atomic-block.pdf safe.pdf atom.pdf static-analysis.pdf observer.pdf non-atomic.pdf pricelist.pdf jpax.pdf jpax2.pdf
PS=pricetag4.ps pricetag5.ps pricetag6.ps

# ---------------------------------------------------------------------

all: $(EPS) $(PDF) $(PS)
# add pics once there are pics

# --- generic rules

%.eps: %.fig
	$(FIG) -L eps $*.fig $@

%.ps: %.fig
	$(FIG) -L ps $*.fig $@

%.pdf: %.eps
	$(EPS2PDF) $*.eps

%.eps: %.gif
	convert $*.gif $*.eps

%.pdf: %.gif
	convert $*.gif $*.pdf

%.eps: %.jpg
	convert $*.jpg $*.eps

%.pdf: %.jpg
	convert $*.jpg $*.pdf

# --- specific rules

pics: all

clean:	
	rm -f $(EPS) $(PDF) $(PS) *.bak *~
